import board
import neopixel
import time
import pwmio
from adafruit_motor import servo
from analogio import AnalogIn
import digitalio, random
from audiocore import WaveFile
import adafruit_hcsr04

sonar = adafruit_hcsr04.HCSR04(trigger_pin=board.SCL, echo_pin=board.SDA)
try:
    from audioio import AudioOut
except ImportError:
    try:
        from audiopwmio import PWMAudioOut as AudioOut
    except ImportError:
        print("This board does not support AudioOut")

audio = AudioOut(board.D3)


path = "sounds/"


strip_num_of_light = 30
strip_pin = board.D7
strip= neopixel.NeoPixel(strip_pin, strip_num_of_light, brightness = 0, auto_write = True)

BLACK = (0,0,0)
ORANGE = (255, 100, 0)

strip.fill(BLACK)

pwm2  = pwmio.PWMOut(board.A1, frequency = 50)
pwm = pwmio.PWMOut(board.A0, frequency = 50)
servo_1 = servo.Servo(pwm, min_pulse = 700, max_pulse = 2450)
servo_2 = servo.Servo(pwm2, min_pulse = 700, max_pulse = 2450)


def servomove():
    for angle in range(20, 161, 15):
        servo_1.angle = angle
    for angle in range(161, 20, -15):
        servo_1.angle = angle
    for angle in range(0, 146, 20):
        servo_2.angle = angle
    for angle in range(145, -1, -20):
        servo_2.angle = angle


def bright():
    for brightness in range(0, 51, 1):
            strip.brightness = brightness/100
            time.sleep(.01)

def brightdown():
    for brightness in range(52, -1, -1):
            strip.brightness = brightness/100
            time.sleep(.01)

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass


x = [1,2,3,4,5,6]
while True:
    if sonar.distance < (50):
        strip.fill(ORANGE)
        bright()
        play_sound("ghost.wav")
        for servo in x:
            servomove()
        brightdown()
        time.sleep(5)



